Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rdlc.rdl
Class Namespace.QualifiedIdentifier

    java.lang.Object
      rdlc.naming.QualifiedIdentifier<Declaration>
          rdlc.rdl.Namespace.QualifiedIdentifier

All Implemented Interfaces:
  ErrorLocation

Enclosing class:
  Namespace

    public static class Namespace.QualifiedIdentifier

extends QualifiedIdentifier<Declaration>
implements ErrorLocation

Qualified identifier for declarations. In addition to the standard `QualifiedIdentifier` functionality, this adds functionality from the `ErrorLocation` interface so that errors related to this identifier can be reported to the user.

Version:
  $Revision: 1.21 $
Author:
  Greg Gibeling

Field Summary
`protected FileRange` | `fileRange` The range and file that this identifier was specified at.

Fields inherited from class rdlc.naming.QualifiedIdentifier
`accessor, cachedValue, catalog, lName, parentCount`

Constructor Summary
`Namespace.QualifiedIdentifier(Namespace _namespace, java.util.List<java.lang.String> _lName, int _parentCount, FileRange _fileRange)` Base constructor, simply stores all of the arguments.
`Namespace.QualifiedIdentifier(java.lang.Object _catalog, Namespace.Identifier _identifier)`
`Namespace.QualifiedIdentifier(RawStaticIdentifier rawStaticID, Namespace _namespace)` Full constructor, creates an identifier by parsing in a static identifier from an RDL file.

Method Summary
`java.lang.String` | `locationName()` Returns the source location for this identifier and it's complete closure representation.
`Namespace.Identifier` | `resolve(Log errorLog, Expression.Phase phase)` Wrapper around the real resolve.
`java.lang.String` | `toString()` Simple accessor.

Methods inherited from class rdlc.naming.QualifiedIdentifier
`getCatalog, getComplete, getName, getName, getName, getPath, isSimple`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### fileRange

    protected FileRange fileRange

  The range and file that this identifier was specified at.

Constructor Detail

### Namespace.QualifiedIdentifier

    public Namespace.QualifiedIdentifier(java.lang.Object _catalog,
                                         Namespace.Identifier _identifier)

See Also:
  `QualifiedIdentifier.QualifiedIdentifier(Object, Identifier)`

### Namespace.QualifiedIdentifier

    public Namespace.QualifiedIdentifier(RawStaticIdentifier rawStaticID,
                                         Namespace _namespace)

  Full constructor, creates an identifier by parsing in a static identifier from an RDL file.

  Parameters:
    `rawStaticID` - The raw static identifier parsed from the RDL source file.
    `_namespace` - The namespace in which this identifier was found.

### Namespace.QualifiedIdentifier

    public Namespace.QualifiedIdentifier(Namespace _namespace,
                                         java.util.List<java.lang.String> _lName,
                                         int _parentCount,
                                         FileRange _fileRange)

  Base constructor, simply stores all of the arguments.

  Parameters:
    `_namespace` - Namespace to construct this identifier relative to.
    `_lName` - The qualified path, relative to the _namespace.
    `_parentCount` - The parent count prefix for the path.
    `_fileRange` - The file range at which this identifier was specified.

Method Detail

### resolve

    public Namespace.Identifier resolve(Log errorLog,
                                        Expression.Phase phase)

  Wrapper around the real resolve. Converts the result to a `Namespace.Identifier` to ensure that error reporing will succede.

  Overrides:
    `resolve` in class `QualifiedIdentifier<Declaration>`
  Parameters:
    `errorLog` - A list of all the errors to be reported.
    `phase` - The phase of resolution to perform.
  Returns:
    An `Identifier` which names the same value as this one. `null` if for any reason this identifier cannot be resolved.
  See Also:
    `rdlc.naming.QualifiedIdentifier#resolve(List, Phase)`, `Namespace.Identifier`

### locationName

    public java.lang.String locationName()

  Returns the source location for this identifier and it's complete closure representation. This should give a user more than enough information to find where this identifier was written.

  Specified by:
    `locationName` in interface `ErrorLocation`
  Returns:
    The error location in a human readable form.
  See Also:
    `ErrorLocation.locationName()`

### toString

    public java.lang.String toString()

  Simple accessor.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    A human readable string representation of this identifier for debugging.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD